package de.qsqs.tests;

import org.uispec4j.Panel;
import org.uispec4j.UISpec4J;

import de.qsqs.testgui.MyMainPanel;

import junit.framework.TestCase;



public class MyTest extends TestCase{
	Panel testThisOne;
	MyMainPanel content;
	static {
        UISpec4J.init();
    }
	
	public void setUp(){
		content = new MyMainPanel();
		testThisOne = new Panel(content);
	}
	
	public void testNrOne(){
		
		testThisOne.getButton("Count").click();
		assertTrue(testThisOne.containsLabel("Counter : 1").isTrue());
		testThisOne.getButton("Count").click();
		assertTrue(testThisOne.containsLabel("Counter : 2").isTrue());
		for(int i=0;i<10;i++){
			testThisOne.getButton("Count").click();
		}
		assertTrue(testThisOne.containsLabel("Counter : 12").isTrue());
	}
	
	public void testNrTwo(){
		testThisOne.getButton("Count").click();
		assertTrue(testThisOne.containsLabel("Counter : 1").isTrue());
		testThisOne.getButton("Reset").click();
		assertTrue(testThisOne.containsLabel("Counter : 0").isTrue());
	}
	
	public void testNrThree(){
		testThisOne.getComboBox().select("Student");
		testThisOne.getComboBox().contains("Student");
		
	}
	
	public void testNrFour(){
		testThisOne.getTextBox("oTextField").setText("Test");
		assertEquals("Neu: Test",testThisOne.getTextBox("Neu: Test").getText());
	}

}
