package de.qsqs.testgui;

import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;


public class MyMainPanel extends JPanel{

	private static final long serialVersionUID = 1L;
	
	final private JButton oButtonCount = new JButton("Count");
	final private JButton oButtonReset = new JButton("Reset");
	final String[] sComboBox = {" ", "Student", "Professor", "Schueler"};
	final private JComboBox oComboBox = new JComboBox(sComboBox);
	final protected static JTextField oTextField = new JTextField("oTextField", 255);
	final private JLabel lCounter = new JLabel("Counter : ");
	final protected static JLabel lHide = new JLabel("Label to Hide");
	
	final protected static JTextArea oTextArea = new JTextArea();
	
	private int i = 0;
	
	
	public MyMainPanel(){
		
		createPanel();
	}
	
	
	private void createPanel(){
		
		GridBagConstraints gridButton = new GridBagConstraints();
		
		gridButton.gridx = 0;
		gridButton.gridy = 0;
		gridButton.insets = new Insets(5,5,5,5);
		
		GridBagConstraints gridButtonReset = new GridBagConstraints();
		
		gridButtonReset.gridx = 1;
		gridButtonReset.gridy = 0;
		gridButtonReset.insets = new Insets(5,5,5,5);
		
		GridBagConstraints gridCombo = new GridBagConstraints();
		
		gridCombo.gridx = 0;
		gridCombo.gridy = 1;
		gridCombo.insets = new Insets(5,5,5,5);
		
		GridBagConstraints gridTextField = new GridBagConstraints();
		
		gridTextField.gridx = 1;
		gridTextField.gridy = 1;
		gridTextField.insets =  new Insets(5,5,5,5);
		
		GridBagConstraints gridLabel = new GridBagConstraints();
		
		gridLabel.gridx = 2;
		gridLabel.gridy = 0;
		gridLabel.insets = new Insets(5,5,5,5);
		
		GridBagConstraints gridTextArea = new GridBagConstraints();
		
		gridTextArea.gridx = 0;
		gridTextArea.gridy = 2;
		gridTextArea.insets = new Insets(5,5,5,5);
		
		GridBagConstraints gridLabelHide = new GridBagConstraints();
		
		gridLabelHide.gridx = 1;
		gridLabelHide.gridy = 2;
		gridLabelHide.insets = new Insets(5,5,5,5);
		
		
		this.setLayout(new GridBagLayout());
		this.add(getJButtonCount(), gridButton);
		this.add(getJButtonReset(), gridButtonReset);
		this.add(getJLabel(), gridLabel);
		this.add(getComboBox(), gridCombo);
		this.add(getJTextField(), gridTextField);
		this.add(getTextArea(), gridTextArea);
		this.add(getLabelHide(), gridLabelHide);
	}
	
	private JButton getJButtonCount(){
		
		oButtonCount.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Button gedrückt");
				i++;
				lCounter.setText("Counter : "+i);
				
			}
			
		});
		
		return oButtonCount;
	}
	
	
	private JButton getJButtonReset(){
		
		oButtonReset.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Label reset");
				i = 0;
				lCounter.setText("Counter : "+i);
				
			}
			
		});
		
		return oButtonReset;
	}

	
	
	private JLabel getJLabel(){
		
		return lCounter;
	}
	
	
	
	private JTextField getJTextField(){
		
		oTextField.setMinimumSize(new Dimension(100, 25));
		
		oTextField.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("textfield geschrieben wurde: "+oTextField.getText());
				oTextArea.setText("Neu: "+oTextField.getText());
			}
			
		});
		
		return oTextField;
	}
	
	private JComboBox getComboBox(){
		
		oComboBox.setMinimumSize(new Dimension(150, 25));
		
		oComboBox.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Ausgewählt wurde : "+oComboBox.getSelectedItem());
				
			}
			
		});
		
		
		return oComboBox;
	}
	
	
	private JTextArea getTextArea(){
		
		oTextArea.setMinimumSize(new Dimension(250, 200));
		oTextArea.setLineWrap(true);
		
		return oTextArea;
	}
	
	private JLabel getLabelHide(){
		
		return lHide;
	}


	public static JTextField getOTextField() {
		return oTextField;
	}


	public static JTextArea getOTextArea() {
		return oTextArea;
	}
	

}
