package de.qsqs.testgui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ButtonGroup;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JRadioButtonMenuItem;

public class MyMenuBar extends JMenuBar{

	private static final long serialVersionUID = 1L;

	final private JMenu oDatei = new JMenu("Datei");
	final private JMenu oEinstellung = new JMenu("Einstellungen");
	
	final private JMenuItem oTextEingabe = new JMenuItem("Texteingabe");
	final private JMenuItem oEnde = new JMenuItem("Beenden");
	
	final private JRadioButtonMenuItem oRadioSchwarz = new JRadioButtonMenuItem("Schwarz");
	final private JRadioButtonMenuItem oRadioWeiss = new JRadioButtonMenuItem("Weiss");
	
	final private JCheckBoxMenuItem oCheckTrue = new JCheckBoxMenuItem("Hide Label");
	
	final private ButtonGroup oBGRadio = new ButtonGroup();
	
		
	
	public MyMenuBar(){
		super();
		this.add(createStart());
		this.add(createEinst());
		
	}
	
	private JMenu createStart(){
		
		oTextEingabe.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				String sEingabe = JOptionPane.showInputDialog("Bitte was eingeben : ");
				System.out.println("Folgende Eingabe wurde gemacht : "+sEingabe);
				
				MyMainPanel.oTextArea.setText(sEingabe);
				
			}			
		});
		
		oEnde.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Programme Ende");
				System.exit(0);
				
			}			
		});
		
		oDatei.add(oTextEingabe);
		oDatei.add(oEnde);
		
		return oDatei;
	}
	
	private JMenu createEinst(){
		
		oRadioSchwarz.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
					System.out.println("Schwarz");
					MyMainPanel.oTextField.setText("Schwarz");
				
			}
			
		});
		
		oRadioWeiss.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				System.out.println("Weiss");
				MyMainPanel.oTextField.setText("Weiss");
				
			}
			
		});
		
		
		oCheckTrue.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				if(oCheckTrue.isSelected()){
					MyMainPanel.lHide.setVisible(false);
				}else{
					MyMainPanel.lHide.setVisible(true);
				}
				
			}
			
		});
		
		
		
		oRadioSchwarz.setSelected(true);
		
		oBGRadio.add(oRadioSchwarz);
		oBGRadio.add(oRadioWeiss);
		
		
		oEinstellung.add(oRadioSchwarz);
		oEinstellung.add(oRadioWeiss);
		oEinstellung.add(oCheckTrue);
	
		
		return oEinstellung;
	}
	
}
